﻿using System.Collections.ObjectModel;
using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;

namespace _9533
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;

            LayerOverlay layerOverlay = new LayerOverlay();

            ShapeFileFeatureLayer layer1 = new ShapeFileFeatureLayer(@"..\..\AppData\87253_LDH.shp");

            ValueStyle vs1 = new ValueStyle();
            vs1.ColumnName = "colorstr";
            ValueItem vs11 = new ValueItem("1", LineStyles.CreateSimpleLineStyle(GeoColor.StandardColors.Black, 3, true));
            ValueItem vs12 = new ValueItem("2", LineStyles.CreateSimpleLineStyle(GeoColor.StandardColors.Red, 3, true));
            ValueItem vs13 = new ValueItem("3", LineStyles.CreateSimpleLineStyle(GeoColor.StandardColors.Yellow, 3, true));
            ValueItem vs14 = new ValueItem("4", LineStyles.CreateSimpleLineStyle(GeoColor.StandardColors.Blue, 3, true));
            vs1.ValueItems.Add(vs11);
            vs1.ValueItems.Add(vs12);
            vs1.ValueItems.Add(vs13);
            vs1.ValueItems.Add(vs14);

            layer1.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(vs1);
            layer1.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            layerOverlay.Layers.Add(layer1);


            ShapeFileFeatureLayer layer2 = new ShapeFileFeatureLayer(@"..\..\AppData\87253_1.shp");

            ValueStyle vs2 = new ValueStyle();
            vs2.ColumnName = "colorstr";

            TextStyle t1 = new TextStyle("textstr", new GeoFont("Arial", 10), new GeoSolidBrush(GeoColors.Blue));
            t1.XOffsetInPixel = 10;
            t1.YOffsetInPixel = 10;
            t1.OverlappingRule = LabelOverlappingRule.NoOverlapping;            

            TextStyle t2 = new TextStyle("textstr", new GeoFont("Arial", 10), new GeoSolidBrush(GeoColors.Black));
            t2.XOffsetInPixel = 10;
            t2.YOffsetInPixel = 10;
            t2.OverlappingRule = LabelOverlappingRule.NoOverlapping;

            ValueItem vs21 = new ValueItem("1", t1);
            ValueItem vs25 = new ValueItem("5", t2);
            vs2.ValueItems.Add(vs21);
            vs2.ValueItems.Add(vs25);

            layer2.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(vs2);
            layer2.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(PointStyles.CreateSimpleCircleStyle(GeoColors.Green, 5));
            layer2.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            layerOverlay.Layers.Add(layer2);


            map.Overlays.Add(layerOverlay);


            layer2.Open();
            map.CurrentExtent = layer2.GetBoundingBox();
            map.Refresh();
        }
    }
}
